import React from 'react';
import { CSSProperties } from 'react';
import { StreamTypes } from '@mux-elements/playback-core';
import '@mux-elements/mux-player';
import MuxPlayerElement from '@mux-elements/mux-player';
import { Tokens } from '@mux-elements/mux-player';
declare type ValueOf<T> = T[keyof T];
export declare type MuxPlayerRefAttributes = MuxPlayerElement;
declare type VideoApiAttributes = {
    currentTime: number;
    volume: number;
    paused: boolean;
    src: string | null;
    poster: string;
    playbackRate: number;
    playsInline: boolean;
    preload: string;
    crossOrigin: string;
    autoPlay: boolean | string;
    loop: boolean;
    muted: boolean;
    style: CSSProperties;
};
declare type MuxMediaPropTypes = {
    audio: boolean;
    envKey: string;
    debug: boolean;
    metadata: {
        [k: string]: any;
    };
    beaconCollectionDomain: string;
    customDomain: string;
    playbackId: string;
    preferMse: boolean;
    streamType: ValueOf<StreamTypes> | 'vod';
    startTime: number;
    children: never[];
};
export declare type MuxPlayerProps = {
    defaultHiddenCaptions?: boolean;
    playerSoftwareVersion?: string;
    playerSoftwareName?: string;
    forwardSeekOffset?: number;
    backwardSeekOffset?: number;
    metadataVideoId?: string;
    metadataVideoTitle?: string;
    metadataViewerUserId?: string;
    primaryColor?: string;
    secondaryColor?: string;
    tertiaryColor?: string;
    thumbnailTime?: number;
    tokens?: Tokens;
    onLoadStart?: EventListener;
    onLoadedMetadata?: EventListener;
    onProgress?: EventListener;
    onDurationChange?: EventListener;
    onVolumeChange?: EventListener;
    onRateChange?: EventListener;
    onResize?: EventListener;
    onWaiting?: EventListener;
    onPlay?: EventListener;
    onPlaying?: EventListener;
    onTimeUpdate?: EventListener;
    onPause?: EventListener;
    onSeeking?: EventListener;
    onSeeked?: EventListener;
    onEnded?: EventListener;
    onError?: EventListener;
    onPlayerReady?: EventListener;
} & Partial<MuxMediaPropTypes> & Partial<VideoApiAttributes>;
declare const MuxPlayer: React.ForwardRefExoticComponent<Pick<MuxPlayerProps, Exclude<keyof MuxPlayerProps, "playerSoftwareVersion" | "playerSoftwareName">> & React.RefAttributes<MuxPlayerElement>>;
export default MuxPlayer;
